#!/bin/sh
set -eux

if [ -z "${1:-}" ]; then
  guix time-machine -C aux/guix/pinned-channels.scm -- \
    environment -m aux/guix/manifest.scm
elif [ "$1" = '-p' ]; then
  guix time-machine -C aux/guix/pinned-channels.scm -- \
    environment --pure -C -m aux/guix/manifest.scm
else
  guix time-machine -C aux/guix/pinned-channels.scm -- \
    environment --pure -C -m aux/guix/manifest.scm -- \
      sh -c "$@"
fi
